##
##  font-optimizer.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2018 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         font-optimizer
Summary:      Font Optimizing Toolkit
URL:          http://bitbucket.org/philip/font-optimizer/get/tip.tar.gz
Vendor:       Philip Taylor
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Typesetting
License:      MIT
Version:      20180102
Release:      20180102

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/font-optimizer/font-optimizer-%{version}.tar.gz
Source1:      font-fixname.pl
Patch0:       font-optimizer.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, perl-openpkg
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  perl, perl-font
PreReq:       perl, perl-font

%description
    A small toolkit for font subsetting, optimizing and obfuscation.

%track
    prog font-optimizer = {
        version   = %{version}
        url       = http://download.openpkg.org/components/versioned/font-optimizer/
        regex     = font-optimizer-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n philip-font-optimizer-3ec118f146c7
    %patch -p0

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/font-optimizer
    for program in convert-eot list-features modify-names obfuscate-font subset; do
        %{l_shtool} install -c -m 755 %{l_value -s -a} \
            $program.pl $RPM_BUILD_ROOT%{l_prefix}/bin/font-$program
    done
    cp -r Font $RPM_BUILD_ROOT%{l_prefix}/lib/font-optimizer/
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE font-fixname.pl} $RPM_BUILD_ROOT%{l_prefix}/bin/font-fixname
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

